ape: make version-dependent decoding functions called via pointers
authorKostya Shishkov <kostya.shishkov@gmail.com>
Tue, 12 Mar 2013 06:33:12 +0000 (07:33 +0100)
committerKostya Shishkov <kostya.shishkov@gmail.com>
Fri, 15 Mar 2013 08:50:42 +0000 (09:50 +0100)
commitb164d66e35d349de414e2f0d7365a147aba8a620
treed72fdaed935718e00e4d3771d62a79be7e35a385
parent81cf53e13309bd58aeb10f3574807f66b25d0091
ape: make version-dependent decoding functions called via pointers

This will help in supporting old versions, e.g. version 3.93 uses the same
range coder but different predictor and version 3.82 uses different range
coder and predictor. Also this should not make decoding newer versions slower
by introducing additional checks on versions.
libavcodec/apedec.c